- Remove an IP from the domain pool, unlink a DIPP or remove the domain pool
Get the dedicated IP pool used for spillover for a domain
Set or modify the dediciated IP pool used for spillover for a domain
Remove an IP from the domain pool, unlink a DIPP or remove the domain pool
Get DIPP spillover settings for an account
Set or Modify the dedicated IP pool used for IP spillover
List account IPs
Get details about account IP
Get all domains of an account where a specific IP is assigned
Assign an IP to all account domains
Remove an IP from all account domains
Place account IP into a dedicated IP band
Return the number of IPs available to the account per its billing plan
Add a new dedicated IP to the account
List account IPs - detailed view
Update subaccount IP assignments
Remove an IP from the dom...
The behavior of the endpoint depends on the value of the ip parameter. It can be one of the following:
- a valid IP address: this IP address will be removed from the domain pool.
- string
all: the entire domain pool will be removed. As far as the system is concerned, such domain will no longer exist. - string
ip_pool: the DIPP which is currently linked to the domain will be unlinked.
Note that it's impossible to alter domain IPs if a DIPP is linked to the domain.
If the account is not eligible for shared IPs, additional rules apply:
- removing the last IP from the domain is not allowed;
- if all of the remaining dedicated IPs are on warmup, an extra IP might be added to the domain pool.
The account must have 'DIPPs' feature enabled.
Either ip or pool_id query parameter must be specified, but not both.
If the special value shared is used for the replacement IP, the account must be eligible for shared IPs. In this case the system will assign a shared IP as the replacement.
Security
basicAuth
- US Mailgunhttps://api.mailgun.net/v3/domains/{name}/ips/{ip}
- EU Mailgunhttps://api.eu.mailgun.net/v3/domains/{name}/ips/{ip}
curl -i -X DELETE \
-u '<username>:<password>' \
'https://api.mailgun.net/v3/domains/{name}/ips/{ip}?ip=string&pool_id=string'Response
{ "message": "success" }